ERROR: Failed to build gem native extension

Can anyone tell this noob what I’ve done wrong? I tried to install
rmagick,
but apparently it fails.

C:\InstantRails\rails_apps>gem install rmagick -r
Need to update 31 gems from http://gems.rubyforge.org

complete
Building native extensions. This could take a while…
gem_extconf.rb:38: undefined method `exitstatus’ for nil:NilClass
(NoMethodError
)

ERROR: While executing gem … (RuntimeError)
ERROR: Failed to build gem native extension.
Gem files will remain installed in
C:/InstantRails/ruby/lib/ruby/gems/1.8/gems/r
magick-1.14.1 for inspection.

Results logged to
C:/InstantRails/ruby/lib/ruby/gems/1.8/gems/rmagick-1.14.1
/gem
_make.out

Thanks Greg

“Politicians are like diapers, both need to be changed frequently and
for
the same reasons.”

Greg P.
[email protected]

Greg P. wrote:

(NoMethodError
C:/InstantRails/ruby/lib/ruby/gems/1.8/gems/rmagick-1.14.1
/gem
_make.out

Thanks Greg
To install RMagick on Windows, use the rmagick-win32 gem. See
http://rmagick.rubyforge.org/install-faq.html.

OK thanks, however, I’m a little confused. I used gem install -r
command to
install ajax_scaffold. Is the procedure for installing rmagick
different
because it’s bundled with other things…like ImageMagick?

Just curious.
Thanks.

On 1/19/07, Timothy H. [email protected] wrote:

Building native extensions. This could take a while…

Results logged to
C:/InstantRails/ruby/lib/ruby/gems/1.8/gems/rmagick-1.14.1
/gem
_make.out

Thanks Greg
To install RMagick on Windows, use the rmagick-win32 gem. See
http://rmagick.rubyforge.org/install-faq.html.


“Politicians are like diapers, both need to be changed frequently and
for
the same reasons.”

Greg P.
[email protected]

Greg P. wrote:

OK thanks, however, I’m a little confused. I used gem install -r
command to
install ajax_scaffold. Is the procedure for installing rmagick different
because it’s bundled with other things…like ImageMagick?
Partly. The “rmagick” gem includes the source code for RMagick. It
configures itself to the version of ImageMagick that is installed on the
system and then compiles RMagick for that version. The “rmagick-win32”
gem is pre-compiled and is configured for use the specific version of
ImageMagick it is bundled with.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs